/* Сброс стилей */
p {
    margin: 0;
    padding: 0;
}
input[type="range" i] {
    margin: 0;
}
input[type="number" i] {
    padding: 0;
}
/* Шрифты */
@font-face {
    font-family: 'Myriad Pro';
    src: url('fonts/MyriadPro-Semibold.woff2') format('woff2'), url('fonts/MyriadPro-Semibold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: 'Myriad Pro';
    src: url('fonts/MyriadPro-Regular.woff2') format('woff2'), url('fonts/MyriadPro-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
/* Основные */
body {
    font-family: 'Myriad Pro';
    font-style: normal;
}
/* Фильтр */
.filters {
    max-width: 285px;
    width: 100%;
    border: 1px solid #EEEEEE;
    border-radius: 6px;
}
.filter__title {
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
    color: #000;
    padding: 18px 20px;
}
.accordion-filter__item {
    border-top: 1px solid #EEEEEE;
    padding: 20px 18px 0;
    margin-bottom: 20px;
    overflow: hidden;
}
.accordion-filter__item .accordion-filter-input {
    position: absolute;
    opacity: 0;
    z-index: -1;
}
.accordion-filter__item .accordion-filter-input:checked + .accordion-filter-label::after {
    content: url("icons/arrow--active.svg");
    transition: 0.4s ease;
}
.accordion-filter__item .accordion-filter-input:checked ~ .accordion-filter-content {
    max-height: 100vh;
    padding-top: 16px;
}
.accordion-filter__item .accordion-filter-label {
    display: flex;
    justify-content: space-between;
    transition: 0.4s ease;
    position: relative;
    cursor: pointer;
}
.accordion-filter__item .accordion-filter-label:hover::after {
    content: url("icons/arrow--hover.svg");
    transition: 0.4s ease;
}
.accordion-filter__item .accordion-filter-label::after {
    content: url("icons/arrow.svg");
    position: absolute;
    right: 0;
    top: 55%;
    transform: translateY(-50%);
    transition: all 0.35s;
}
.accordion-filter-label::after {
    transition: 0.4s ease;
}
.accordion-filter__item .accordion-filter-content {
    max-height: 0;
    padding: 0;
    transition: all 0.35s;
}
.accordion-filter__item .accordion-filter-content .filter-form .filter-form-group:not(:last-child) {
    margin-bottom: 16px;
}
.accordion-filter__item .accordion-filter-content .filter-form .filter-form-group .filter-form-input {
    padding: 0;
    height: initial;
    width: initial;
    margin-bottom: 0;
    display: none;
    cursor: pointer;
    transition: 0.4s ease;
}
.accordion-filter__item .accordion-filter-content .filter-form .filter-form-group .filter-form-input:checked + .filter-form-label:after {
    content: "";
    display: block;
    position: absolute;
    border: solid #fff;
    top: 4px;
    left: 8px;
    width: 4px;
    height: 9px;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}
.accordion-filter__item .accordion-filter-content .filter-form .filter-form-group .filter-form-input-radio:checked + .filter-form-label-radio:after {
    content: "";
    display: block;
    position: absolute;
    width: 14px;
    height: 14px;
    left: 4px;
    top: 50%;
    background-color: #FF7105;
    transform: translateY(-50%);
    border-width: 0;
    border-radius: 100%;
}
.accordion-filter__item .accordion-filter-content .filter-form .filter-form-group .filter-form-label {
    position: relative;
    cursor: pointer;
    color: #747474;
    display: flex;
    align-items: center;
    transition: 0.4s ease;
}
.accordion-filter__item .accordion-filter-content .filter-form .filter-form-group .filter-form-label:before {
    transition: 0.4s ease;
    content: "";
    background-color: transparent;
    border: 1px solid #EEEEEE;
    border-radius: 2px;
    padding: 10px;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    cursor: pointer;
    margin-right: 8px;
}
.accordion-filter__item .accordion-filter-content .filter-form .filter-form-group .filter-form-label-radio:before {
    transition: 0.4s ease;
    content: "";
    background-color: transparent;
    border: 1px solid #EEEEEE;
    border-radius: 100%;
    padding: 10px;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    cursor: pointer;
    margin-right: 8px;
}
.accordion-filter__item .accordion-filter-content .filter-form .show-more-input {
    position: absolute;
    opacity: 0;
}
.accordion-filter__item .accordion-filter-content .filter-form .show-more-label {
    transition: 0.4s ease;
    position: relative;
    cursor: pointer;
    display: flex;
    color: #000;
    align-items: center;
    transition: 0.4s ease;
}
.accordion-filter__item .accordion-filter-content .filter-form .show-more-input:checked + .show-more-label {
    overflow: hidden;
    opacity: 0;
    position: absolute;
}
.show-more-input:checked ~ .form-group-more {
    overflow: visible;
    opacity: 1;
    position: static;
}
.form-group-more {
    overflow: hidden;
    opacity: 0;
    position: absolute;
}
.accordion-filter-label-title {
    color: #000;
}
.filter-form .filter-form-group .filter-form-input:checked + .filter-form-label {
    color: #000;
}
.filter-form .filter-form-group .filter-form-input:checked + .filter-form-label:before {
    border: 1px solid #FF7105;
    background-color: #FF7105;
}
.filter-form .filter-form-group .filter-form-input-radio:checked + .filter-form-label-radio:before {
    border: 1px solid #FF7105;
    background-color: #fff;
}
.buttons-filer__wrapper {
    border-top: 1px solid #EEEEEE;
    display: flex;
    flex-direction: column;
    padding: 27px 18px 20px 18px;
}
.apply-filters__button {
    font-family: 'Myriad Pro';
    font-style: normal;
    height: 52px;
    background-color: #FF7105;
    border-radius: 4px;
    color: #fff;
    font-weight: 600;
    font-size: 16px;
    line-height: 19px;
    border: none;
    margin-bottom: 20px;
    cursor: pointer;
    transition: 0.4s ease;
}
.apply-filters__button:hover {
    background-color: #FF872C;
}
.reset-filter__button {
    font-family: 'Myriad Pro';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    background-color: transparent;
    color: #BDBDBD;
    border: none;
    cursor: pointer;
    transition: 0.4s ease;
}
.reset-filter__button svg path {
    transition: 0.4s ease;
}
.reset-filter__button span {
    padding-left: 3px;
}
.reset-filter__button:hover {
    color: #ff0c0c;
}
.reset-filter__button:hover svg path {
    fill: #ff0c0c;
}
.price-form {
    margin-bottom: 10px;
}
.price-input {
    width: 100%;
    display: flex;
    gap: 15px;
    margin-bottom: 22px;
}
.price-input .field {
    display: flex;
    align-items: flex-end;
    width: 100%;
}
.field {
    width: 100%;
    height: 58px;
    border: 1px solid #EBEBEB;
    border-radius: 5px;
    text-align: left;
    text-indent: 16px;
    font-family: 'Myriad Pro';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 20px;
    color: #000;
    position: relative;
}
.field span {
    position: absolute;
    top: 15px;
    font-weight: 400;
    font-size: 11px;
    line-height: 13px;
    color: #747474;
}
.field input {
    height: max-content;
    width: inherit;
    margin: 12px 16px;
    outline: none;
    border: none;
    -moz-appearance: textfield;
}
input[type="number"]::-webkit-outer-spin-button, input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
.slider {
    height: 8px;
    position: relative;
    background: #EEEEEE;
    border-radius: 4px;
}
.slider .progress {
    height: 100%;
    left: 25%;
    right: 25%;
    position: absolute;
    border-radius: 5px;
    background-color: #000;
}
.range-input {
    position: relative;
}
.range-input input {
    position: absolute;
    width: 100%;
    height: 3px;
    top: -5px;
    background: none;
    pointer-events: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}
input[type="range"]::-webkit-slider-thumb {
    height: 17px;
    width: 17px;
    border-radius: 50%;
    border: 2px solid #FF7105;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.1);
    background: #FFFFFF;
    pointer-events: auto;
    -webkit-appearance: none;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}
input[type="range"]::-moz-range-thumb {
    height: 17px;
    width: 17px;
    border: none;
    border-radius: 50%;
    border: 2px solid #FF7105;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.1);
    background: #FF9849;
    pointer-events: auto;
    -moz-appearance: none;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}
